# RELEASE NAME: 20210416_BT_ANDROID_10.0
# RTKBT_API_VERSION=2.1.1.0

BOARD_HAVE_BLUETOOTH := true
BOARD_HAVE_BLUETOOTH_RTK := true
BOARD_HAVE_BLUETOOTH_RTK_TV := false

ifeq ($(BOARD_HAVE_BLUETOOTH_RTK_TV), true)
#Firmware For Tv
include $(LOCAL_PATH)/Firmware/TV/TV_Firmware.mk
else
#Firmware For Tablet
include $(LOCAL_PATH)/Firmware/BT/BT_Firmware.mk
endif

BOARD_BLUETOOTH_BDROID_BUILDCFG_INCLUDE_DIR := $(LOCAL_PATH)/bluetooth

PRODUCT_COPY_FILES += \
       $(LOCAL_PATH)/vendor/etc/bluetooth/rtkbt.conf:vendor/etc/bluetooth/rtkbt.conf \

ifeq ($(BOARD_HAVE_BLUETOOTH_RTK_TV), true)
PRODUCT_COPY_FILES += \
        $(LOCAL_PATH)/vendor/usr/keylayout/Vendor_005d_Product_0001.kl:vendor/usr/keylayout/Vendor_005d_Product_0001.kl \
        $(LOCAL_PATH)/vendor/usr/keylayout/Vendor_005d_Product_0002.kl:vendor/usr/keylayout/Vendor_005d_Product_0002.kl
endif

# base bluetooth
PRODUCT_PACKAGES += \
    audio.a2dp.default \
    bluetooth.default \
    android.hardware.bluetooth@1.1-service \
    libbt-vendor \

# Android Bluetooth Feature
PRODUCT_COPY_FILES += \
    frameworks/native/data/etc/android.hardware.bluetooth.xml:$(TARGET_COPY_OUT_VENDOR)/etc/permissions/android.hardware.bluetooth.xml \
    frameworks/native/data/etc/android.hardware.bluetooth_le.xml:$(TARGET_COPY_OUT_VENDOR)/etc/permissions/android.hardware.bluetooth_le.xml

PRODUCT_PACKAGES_DEBUG += rtkcmd

PRODUCT_PROPERTY_OVERRIDES += \
    persist.vendor.bluetooth.rtkcoex=true \
    persist.vendor.rtkbt.bdaddr_path=none \
    persist.vendor.bluetooth.prefferedrole=master \
    persist.vendor.rtkbtadvdisable=false \
    persist.service.bdroid.bdaddr=22:22:67:c6:69:55

PRODUCT_SYSTEM_DEFAULT_PROPERTIES += persist.bluetooth.btsnooplogmode=disable \
    persist.bluetooth.btsnooppath=/data/misc/bluedroid/btsnoop_hci.cfa \
    persist.bluetooth.btsnoopsize=0xffff \
    persist.bluetooth.showdeviceswithoutnames=false \
    vendor.bluetooth.enable_timeout_ms=11000
